package com.example.demo.core.api;

import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ModelAttribute;

import com.example.demo.core.session.SessionCart;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpSession;

// Глобальный контроллер
@ControllerAdvice
public class GlobalController {
    // Корзина покупок сессии пользователя
    private final SessionCart cart;

    // Конструктор
    public GlobalController(SessionCart cart) {
        this.cart = cart;
    }

    // Получить сервле-путь
    @ModelAttribute("servletPath")
    String getRequestServletPath(HttpServletRequest request) {
        return request.getServletPath();
    }

    // Получить общую сумму покупок в корзине
    @ModelAttribute("totalCart")
    double getTotalCart(HttpSession session) {
        return cart.getSum();
    }
}
