package com.example.demo.core.api;

import java.util.Map;
import java.util.function.Function;

import org.springframework.data.domain.Page;

// Класс для преобразования страниц пагинации в атрибуты
public class PageAttributesMapper {
    private PageAttributesMapper() {
    }

    // Метод преобразования
    public static <E, D> Map<String, Object> toAttributes(String prefix, Page<E> page, Function<E, D> mapper) {
        return Map.of(
                prefix + "Items", page.getContent().stream().map(mapper::apply).toList(),
                prefix + "CurrentPage", page.getNumber(),
                prefix + "TotalPages", page.getTotalPages());
    }
}
