package com.example.demo.users.api;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

// DTO для регистрации пользователя
public class UserSignupDto {
    // Имя/логин пользователя
    @NotBlank
    @Size(min = 3, max = 20)
    private String username;

    // Электронная почта пользователя
    @NotBlank
    @Size(min = 3, max = 50)
    private String email;

    // Пароль пользователя
    @NotBlank
    @Size(min = 3, max = 20)
    private String password;

    // Подтверджение пароля
    @NotBlank
    @Size(min = 3, max = 20)
    private String passwordConfirm;

    // Получить имя/логин пользователя
    public String getUsername() {
        return username;
    }

    // Установить имя/логин пользователя
    public void setUsername(String username) {
        this.username = username;
    }

    // Получить электронную почту пользователя
    public String getEmail() {
        return email;
    }

    // Установить электронную почту пользователя
    public void setEmail(String email) {
        this.email = email;
    }

    // Получить пароль пользователя
    public String getPassword() {
        return password;
    }

    // Установить пароль пользователя
    public void setPassword(String password) {
        this.password = password;
    }

    // Получить подтверджение пароля
    public String getPasswordConfirm() {
        return passwordConfirm;
    }

    // Установить подтверджение пароля
    public void setPasswordConfirm(String passwordConfirm) {
        this.passwordConfirm = passwordConfirm;
    }
}
